<?php

namespace App\Models;

class User extends Eloquent {

	protected $table = 'users';
	public $timestamps = true;
	protected $fillable = array('avatar', 'name', 'email', 'password', 'phone_number', 'city_id');
	protected $hidden = array('password');

	public function reviews()
	{
		return $this->hasMany('App\Models\Review');
	}

	public function menuItems()
	{
		return $this->belongsToMany('App\Models\MenuItem');
	}

	public function orders()
	{
		return $this->hasMany('App\Models\Order');
	}

	public function city()
	{
		return $this->belongsTo('App\Models\City');
	}

}